Subject: [ippm] review of draft-ietf-ippm-metric-registry-03

From: "STARK, BARBARA H" <[email-masked]>
Date: Tue, 21 Jul 2015 07:09:29 +0000

At the last IETF I promised to review draft-ietf-ippm-metric-registry-02. I apologize for not having delivered on that before now. I have reviewed draft-ietf-ippm-metric-registry-03. I'm providing the authors with a marked-up Word version that includes all my comments and suggested edits (including nits). Below is a summary of my substantive comments.
------------
The following set of comments fall under the general recommendation to extend the document to serve both the purpose of establishing the IANA Registry and defining a format that can be used by all "Performance Metrics Registries". This was discussed at the last IETF.

in Abstract
FROM
This document defines the IANA Registry for Performance Metrics.
TO
This document defines a Performance Metrics Registry format and the IANA Performance Metrics Registry.

2. Introduction
ADD
In addition, many other organizations, such as ITU-T and IEEE, also define protocols and Performance Metrics associated with their protocols.
AFTER
      The "Performance Metrics for Other Layers" (PMOL) concluded WG,
      defined some Performance Metrics related to Session Initiation
      Protocol (SIP) voice quality [RFC6035].

FROM
   This document therefore creates an IANA-maintained Performance
   Metrics Registry.  It also provides best practices on how to specify
   new entries or update ones in the Performance Metrics Registry.
TO
   This document therefore creates an IANA Performance
   Metrics Registry and a Performance Metrics Registry format (that will be usable by IANA 
   and any other organization which wishes to create a Performance Metrics Registry).  It also provides best practices on how to specify
   new entries or update ones in the IANA Performance Metrics Registry.

3. Terminology
[The comments I provided to the authors include many recommended changes, based on the hope the following terminology changes are acceptable. I haven't listed all of the changes in this email.]

FROM
   Performance Metric:  A Performance Metric is a quantitative measure
      of performance, targeted to an IETF-specified protocol or targeted
      to an application transported over an IETF-specified protocol.
      Examples of Performance Metrics are the FTP response time for a
      complete file download, the DNS response time to resolve the IP
      address, a database logging time, etc.  This definition is
      consistent with the definition of metric in [RFC2330] and broader
      than the definition of performance metric in [RFC6390].

   Registered Performance Metric:  A Registered Performance Metric (or
      Registered Metric) is a Performance Metric expressed as an entry
      in the Performance Metric Registry, administered by IANA.  Such a
      performance metric has met all the registry review criteria
      defined in this document in order to included in the registry.

   Performance Metrics Registry:  The IANA registry containing
      Registered Performance Metrics.  In this document, it is also
      called simply "Registry".

TO         [deleted "IETF-specified" from Performance Metric definition]
   Performance Metric:  A Performance Metric is a quantitative measure
      of performance, targeted to a protocol or targeted
      to an application transported over a protocol.
      Examples of Performance Metrics are the FTP response time for a
      complete file download, the DNS response time to resolve the IP
      address, a database logging time, etc.  This definition is
      consistent with the definition of metric in [RFC2330] and broader
      than the definition of performance metric in [RFC6390].

   Registered Performance Metric:  A Registered Performance Metric (or
      Registered Metric) is a Performance Metric expressed as an entry
      in a Performance Metrics Registry, in the Registry Performance Metric format.  Such a
      performance metric has met all the registry review criteria
      defined in this document.

   IANA Performance Metrics Registry:  The IANA registry containing
      Registered Performance Metrics using the Registry Performance Metrics format.  In this document, it is also
      called simply "IANA Registry".

DELETE
   Proprietary Registry:  A set of metrics that are registered in a
      proprietary registry, as opposed to Performance Metrics Registry.

ADD
Performance Metrics Registry: Any Performance Metrics Registry (IANA or that of some other entity) that expresses metrics meeting the criteria defined in this document in the Performance Metrics Registry format. In this document, it is also called simply "Registry".

4. Scope
FROM
This document is meant for two different audiences.  
TO
This document is meant for three different purposes.  

ADD the following as penultimate paragraph:
The third purpose is to define a Performance Metrics Registry format that will be used by the IANA Performance Metrics Registry and other Performance Metrics Registries. This will be particularly useful to implementation of the Large-scale Measurement Platform framework [framework reference] and information model [information model reference], who will need to use registries for Performance Metrics defined by other entities.  

5. Motivation for a Performance Metrics Registry
ADD before current 5.3:
5.3 Common Performance Metrics Registry Format 

The Performance Metrics Registry format defined in this document is expected to be used by other entities who want to create a Performance Metrics Registry for the Performance Metrics they define. This will provide them with the same benefits for their Performance Metrics as those afforded IETF-defined Performance Metrics by the IANA Performance Metrics Registry. It will also allow entries in other Performance Metrics Registries to be referenced via the LMAP Information Model [information-model].

------------------------------
Comments unrelated to making this document usable by other Registries

In various places, there are statements similar to "we
   expect that the LMAP control protocol will enable a controller to
   request a measurement agent to perform a measurement using a given
   metric by embedding the Performance Metric Registry value in the
   protocol"
I believe this is too vague and suggest:
   "we expect that the LMAP control protocol will enable a controller to
   request a measurement agent to perform a measurement using a given
   metric by embedding the Performance Metrics Registry entry Identifier and specific Measurement Method Role in the data transmitted by the
   protocol"

7.  Performance Metrics Registry: Prior attempt 
I recommend moving Section 7 to a later point in the document, near the end.

8.1.2.  Name
I question the need for a prefix (Act_, Pas_, other) as part of the name. I don't find this so important that it needs to be the first thing people know about an entry. I don't see why it needs to be part of the name, at all. This relates to list items 5, 6, 7, 8, and the last paragraph. 
If 5 and 6 are kept, then 7 might be best as a paragraph and not a list item since it isn't expressing a rule.
Item 8 does not express a rule and should be a paragraph at the end of the section (if 5 and 6 are kept).

-----------------------------------

Pervasive nits (details provided in comments to authors)
------------------
1. Need to decide if the term is "Performance Metrics Registry" or "Performance Metric Registry" and be totally consistent.
2. Need to use various terminology appropriately, per definitions.